Bug 282541 - Laptop screen's brightness level isn't restored after resume from a suspend
Laptop screen's brightness level isn't restored after resume from a suspend
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-09-07 11:38 EDT by Marcin Zajaczkowski
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 17:45:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcin Zajaczkowski 2007-09-07 11:38:18 EDT
Description of problem:
After resuming from a suspend my laptop screen's brightness level isn't restored
to the previous value and it's very dark. I have to brighten it manually using
function keys.

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2962.fc6 (confirmed also with a few version backward)

How reproducible:
Always

Steps to Reproduce:
1. Suspend a laptop (e.g. System -> Suspend)
2. Resume a laptop (using a power key or open a lip)
  
Actual results:
A screen is very dark (probably minimal possible value)

Expected results:
A screen's brightness at the level before going suspend

Additional info:
Tested on Fujitsu Siemens Lifebook S-series laptop.

I'm not sure that this is a problem with acpi.
Comment 1 Jon Stanley 2008-01-07 20:54:11 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Marcin Zajaczkowski 2008-01-08 17:38:34 EST
Unfortunately I don't have that laptop now (and probably won't have in the
nearest future), so I can't confirm that bug with recent version.

Maybe someone else could check it. If not feel free to close this bug. After all
it could be always reopened if the new facts occurred.

Note You need to log in before you can comment on or make changes to this bug.